# hcloud_location_info – Gather infos about your Hetzner Cloud locations

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Gather infos about your Hetzner Cloud locations.

- This module was called `hcloud_location_facts` before Ansible 2.9, returning `ansible_facts` and `hcloud_location_facts`. Note that the hcloud_location_info module no longer returns `ansible_facts` and the value was renamed to `hcloud_location_info`!

Aliases: hcloud_location_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
id integer |  | The ID of the location you want to get.
name string |  | The name of the location you want to get.

## See Also

See also

Documentation for Hetzner Cloud API

  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Gather hcloud location infos
      hcloud_location_info:
      register: output

    - name: Print the gathered infos
      debug:
        var: output

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_location_info complex | always | The location infos as list
| city string | always | City of the location Sample: Falkenstein
| country string | always | Country code of the location Sample: DE
| description string | always | Detail description of the location Sample: Falkenstein DC Park 1
| id integer | always | Numeric identifier of the location Sample: 1937415
| name string | always | Name of the location Sample: fsn1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@LKaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.